use crate::components::modal_box::DialogOpener;
use leptos::*;

#[component]
pub fn ServerErr(
    cx: Scope,
    result: RwSignal<Option<Result<(), ServerFnError>>>,
    opener: DialogOpener,
) -> impl IntoView {
    view! {cx, {move || {
        if let Some(val) = result.get() {
            if let Err(e) = val {
                view! {cx,
                <div class="alert alert-danger">
                    "Server error: " {e.to_string()}
                </div>
                }
            } else {
                opener.hide();
                view! {cx, <div></div>}
            }
        } else {
            view! {cx, <div></div>}
        }
    }}
    }
}
