use std::borrow::Cow;
use std::ops::Deref;
use leptos::*;
use crate::locales::catalogues::get_dictionary;

mod catalogues;

pub fn trl(cx: Scope, phrase: &str) -> impl Fn() -> String {
    let mut translated = phrase;
    if let Some(dict) = get_dictionary(cx) {
        if let Some(p) = dict.get(phrase.to_string().as_str()) {
            translated = *p;
        }
    }

    let out = translated.to_string();

    move || { out.clone() }
}